> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Inference Catalog Models

> Returns a list of available Serverless Inference models.

This API is available without authentication.



## OpenAPI

````yaml /weave/reference/service-api/openapi.json get /inference/catalog/models
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /inference/catalog/models:
    get:
      tags:
        - Inference
      summary: Inference Catalog Models
      description: |-
        Returns a list of available Serverless Inference models.

        This API is available without authentication.
      operationId: inference_catalog_models_inference_catalog_models_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogModelsRes'
components:
  schemas:
    CatalogModelsRes:
      properties:
        models:
          items:
            $ref: '#/components/schemas/LLMModelDetails'
          type: array
          title: Models
      type: object
      required:
        - models
      title: CatalogModelsRes
    LLMModelDetails:
      properties:
        provider:
          type: string
          title: Provider
        id:
          type: string
          title: Id
        idPlayground:
          type: string
          title: Idplayground
        idHuggingFace:
          type: string
          title: Idhuggingface
        label:
          type: string
          title: Label
        labelOpenRouter:
          type: string
          title: Labelopenrouter
        status:
          type: string
          title: Status
        lifecycleStage:
          type: string
          enum:
            - general-availability
            - experimental
            - retired
          title: Lifecyclestage
        availableIn:
          items:
            type: string
            enum:
              - cw-prod
              - cw-qa
          type: array
          title: Availablein
        launchedQuarter:
          type: string
          title: Launchedquarter
        descriptionShort:
          type: string
          title: Descriptionshort
        descriptionMedium:
          type: string
          title: Descriptionmedium
        launchDate:
          type: string
          title: Launchdate
        featureReasoning:
          type: boolean
          title: Featurereasoning
        featureJsonMode:
          type: boolean
          title: Featurejsonmode
        featureStructuredOutput:
          type: boolean
          title: Featurestructuredoutput
        featureToolCalling:
          type: boolean
          title: Featuretoolcalling
        featureLoRA:
          type: boolean
          title: Featurelora
        featureTrainableServerlessRL:
          type: boolean
          title: Featuretrainableserverlessrl
        parameterCountTotal:
          type: integer
          title: Parametercounttotal
        parameterCountActive:
          type: integer
          title: Parametercountactive
        contextWindow:
          type: integer
          title: Contextwindow
        quantization:
          type: string
          enum:
            - int4
            - int8
            - fp4
            - fp6
            - fp8
            - fp16
            - bf16
            - fp32
          title: Quantization
        priceCentsPerBillionTokensInput:
          type: integer
          title: Pricecentsperbilliontokensinput
        priceCentsPerBillionTokensCached:
          type: integer
          title: Pricecentsperbilliontokenscached
        priceCentsPerBillionTokensOutput:
          type: integer
          title: Pricecentsperbilliontokensoutput
        isAvailableOpenRouter:
          type: boolean
          title: Isavailableopenrouter
        apiStyle:
          type: string
          title: Apistyle
        modalities:
          items:
            type: string
          type: array
          title: Modalities
        modalitiesInput:
          items:
            type: string
          type: array
          title: Modalitiesinput
        modalitiesOutput:
          items:
            type: string
          type: array
          title: Modalitiesoutput
        tags:
          items:
            type: string
          type: array
          title: Tags
        likesHuggingFace:
          type: integer
          title: Likeshuggingface
        downloadsHuggingFace:
          type: integer
          title: Downloadshuggingface
        license:
          type: string
          title: License
      type: object
      required:
        - provider
        - id
        - idPlayground
        - idHuggingFace
        - label
        - labelOpenRouter
        - status
        - lifecycleStage
        - availableIn
        - launchedQuarter
        - descriptionShort
        - descriptionMedium
        - launchDate
        - featureReasoning
        - featureJsonMode
        - featureStructuredOutput
        - featureToolCalling
        - featureLoRA
        - featureTrainableServerlessRL
        - parameterCountTotal
        - contextWindow
        - quantization
        - priceCentsPerBillionTokensInput
        - priceCentsPerBillionTokensCached
        - priceCentsPerBillionTokensOutput
        - isAvailableOpenRouter
        - apiStyle
        - modalities
        - modalitiesInput
        - modalitiesOutput
        - tags
        - likesHuggingFace
        - downloadsHuggingFace
        - license
      title: LLMModelDetails

````